namespace Wizard;

public class SleeveSeries : BaseSeriesData
{
	private int index;

	public SleeveSeries(string[] columns)
	{
		base.Id = int.Parse(columns[index++]);
		base.Name = ConvName(columns[index++]);
		base.Introduction = ConvName(columns[index++]);
		base.TitlePath = columns[index++];
		base.DrumrollPath = columns[index++];
	}

	private string ConvName(string id)
	{
		return Data.Master.GetSleeveSeriesText(id);
	}
}
